"""
   num.py       Author: Chris Kelly (inspired by Num.java by Lewis/Loftus)
   
   Represents a single integer as an object.
"""

class Num (object):

   """
      Sets up the new Num object, storing an initial value.
   """
   def __init__ (self, update):
        self.__value = update

   @property
   def value(self):
      return self.__value

   """
       Sets the stored value to the newly specified value.
   """
   @value.setter
   def value(self, update):
      self.__value = update

   """
       Returns the stored integer value as a string.
   """
   def __str__(self):
        return str(self.__value)